<?php
// $Id: uc_downpayment.admin.inc,v 1.1 2011/01/17 16:40:41 gjmjr Exp $

/**
 * @file
 */

function uc_downpayment_admin_payment_form($form_state, $payment) {
 $form = array();
  $form['dpid'] = array(
    '#type' => 'hidden',
    '#value' => $payment->dpid,
  );
 $form['payment']['amount'] = array(
    '#type' => 'textfield',
    '#title' => t('Amount'),
    '#description' => t('The amount of this down payment.'),
    '#default_value' => $payment->amount,
    '#size' => 16,
    '#field_prefix' => variable_get('uc_sign_after_amount', FALSE) ? '' : variable_get('uc_currency_sign', '$'),
    '#field_suffix' => variable_get('uc_sign_after_amount', FALSE) ? variable_get('uc_currency_sign', '$') : '',
    '#required' => TRUE,
  );
  $form['payment']['date'] = array(
    '#type' => 'date_select',
    '#title' => t('Date'),
    '#description' => t('The down payment due date.'),
    '#default_value' => format_date($payment->date, 'custom', DATE_FORMAT_DATE),
    '#date_format' => DATE_FORMAT_DATE,
    '#date_label_position' => 'within',
    '#size' => 16,
    '#required' => TRUE,
  );
  $form['payment']['status'] = array(
    '#type' => 'select',
    '#title' => t('Status'),
    '#options' => uc_downpayment_payment_status_options(),
    '#default_value' => $payment->status,
  );
  $form['payment']['notified'] = array(
    '#type' => 'checkbox',
    '#title' => t('Notified'),
    '#default_value' => ($payment->notified) ? 1 : 0,
    '#attributes' => array('disabled' => 'disabled'),
  );
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Submit changes'),
  );
  $form['delete'] = array(
    '#type' => 'submit',
    '#value' => t('Delete')
  );
  return $form;
}

function uc_downpayment_admin_payment_form_validate(&$form, &$form_state) {
  if (!is_numeric($form_state['values']['amount'])) {
    form_set_error('amount', t('You must enter a numeric value for the down payment amount.'));
  }
}

function uc_downpayment_admin_payment_form_submit($form, &$form_state) {
  if ($form_state['clicked_button']['#id'] === 'edit-submit') { // update payment
    $payment->dpid     = $form_state['values']['dpid'];
    $payment->amount   = $form_state['values']['amount'];
    $payment->date     = strtotime($form_state['values']['date']);
    $payment->status   = $form_state['values']['status'];

    $form_state['redirect'] = uc_downpayment_save($payment);
  }
  elseif ($form_state['clicked_button']['#id'] === 'edit-delete') { // delete payment
    db_query("DELETE FROM {uc_downpayment_payments} WHERE dpid = %d", $form_state['values']['dpid']);
  }
}
