<?php
// $Id: uc_downpayment.views.inc,v 1.1 2011/01/17 16:41:52 gjmjr Exp $

/**
 * @file
 * Views 2 hooks and callback registries.
 */

/**
 * Implementation of hook_views_data().
 */
function uc_downpayment_views_data() {
  $data['uc_downpayment_payments']['table']['group'] = t('Down payments');

  $schema = drupal_get_schema('uc_downpayment_payments');
  $data['uc_downpayment_payments']['table']['base'] = array(
    'field' => 'dpid',
    'title' => t('Down payments'),
    'help' => t('Down payments.'),
    'weight' => -10,
  );
  $data['uc_downpayment_payments']['table']['join']['node'] = array(
      'left_field' => 'nid',
      'field' => 'nid',
  );
  $data['node']['table']['join']['uc_downpayment_payments'] = array(
    'left_field' => 'nid',
    'field' => 'nid',
  );
  
  $data['users']['table']['join']['uc_downpayment_payments'] = array(
    'left_field' => 'uid',
    'field' => 'uid',
  );
  
  /*
  $data['uc_downpayment_payments']['table']['join']['uc_orders'] = array(
    'left_field' => 'order_id',
    'field' => 'order_id',
  );
  */
  
  $data['uc_downpayment_payments']['dpid'] = array(
    'title' => t('Down payment ID'),
    'help' => $schema['fields']['dpid']['description'],
    'field' => array(
      'handler' => 'uc_downpayment_handler_field_dpid',
      'click sortable' => TRUE,
    ),
     'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
  );
  
  $data['uc_downpayment_payments']['order_id'] = array(
    'title' => t('Order ID'),
    'help' => $schema['fields']['order_id']['description'],
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
  );
  
  $data['uc_downpayment_payments']['order_product_id'] = array(
    'title' => t('Order product ID'),
    'help' => $schema['fields']['order_product_id']['description'],
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
    ),
     'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
      'name field' => 'order_product_id',
      'numeric' => TRUE,
      'validate type' => 'order_product_id',
    ),
  );
  
  $data['uc_downpayment_payments']['amount'] = array(
    'title' => t('Amount'),
    'help' => $schema['fields']['amount']['description'],
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
      'float' => TRUE,
    ),
     'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_float',
    ),
  );
  
  $data['uc_downpayment_payments']['date'] = array(
    'title' => t('Due date'),
    'help' => $schema['fields']['date']['description'],
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
    ),
     'sort' => array(
      'handler' => 'views_handler_sort_date',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_date',
    ),
  );
  
  $data['uc_downpayment_payments']['status'] = array(
    'title' => t('Down payment Status'),
    'help' => $schema['fields']['status']['description'],
    'field' => array(
      'handler' => 'uc_downpayment_handler_field_status',
      'click sortable' => TRUE,
    ),
     'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'uc_downpayment_handler_filter_status',
    ),
  );

  $data['uc_order_products']['is_downpayment'] = array(
    'title' => t('Is a down payment'),
    'help' => t('Check if payment is by down payment for a product.'),
    'group' => t('Ubercart order product'),
    'filter' => array(
      'handler' => 'uc_downpayment_handler_filter_downpayment',
      'label' => t('Is a downpayment'),
    ),
  );

  return $data;
}

/**
 * Implementation of hook_views_handlers().
 */
function uc_downpayment_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'uc_downpayment') . '/views',
    ),
    'handlers' => array(
      // fields
      'uc_downpayment_handler_field_dpid' => array('parent' => 'views_handler_field'),
      'uc_downpayment_handler_field_status' => array('parent' => 'views_handler_field'),
      'uc_downpayment_handler_field_order_id' => array('parent' => 'views_handler_field'),
      'uc_downpayment_handler_field_order_balance' => array('parent' => 'views_handler_field'),
      // fiters
      'uc_downpayment_handler_filter_status' => array('parent' => 'views_handler_filter_in_operator'),
      'uc_downpayment_handler_filter_downpayment' => array('parent' => 'views_handler_filter_boolean_operator'),
    ),
  );
}