<?php
// $Id: uc_downpayment_handler_field_dpid.inc,v 1.1 2011/01/17 16:41:52 gjmjr Exp $

/**
 * @file
 */

class uc_downpayment_handler_field_dpid extends views_handler_field {
  /**
   * Override init function to provide generic option to link to user.
   */
  function init(&$view, &$data) {
    parent::init($view, $data);
    if (!empty($this->options['link_to_dp'])) {
      $this->additional_fields['dpid'] = 'dpid';
    }
  }
  function option_definition() {
    $options = parent::option_definition();
    $options['link_to_dp'] = array('default' => FALSE);
    return $options;
  }

  /**
   * Provide link to order adminstration page
   */
  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);
    $form['link_to_dp'] = array(
      '#title' => t('Link this field to down payment administration'),
      '#description' => t('This will override any other link you have set.'),
      '#type' => 'checkbox',
      '#default_value' => !empty($this->options['link_to_dp']),
    );
  }

  /**
   * Render whatever the data is as a link to the order.
   *
   * Data should be made XSS safe prior to calling this function.
   */
  function render_link($data, $values) {
    if (!empty($this->options['link_to_dp']) &&
        user_access('view all down payments') &&
        $data !== NULL &&
        $data !== '') {
      $this->options['alter']['make_link'] = TRUE;
      $this->options['alter']['path'] = "admin/store/downpayments/payment/" . $values->{$this->aliases['dpid']};
    }
    return $data;
  }

  function render($values) {
    return $this->render_link(check_plain($values->{$this->field_alias}), $values);
  }
}
